<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ include file="sessionInfo2.jsp"%>
<%
  String strLevel = "../../";
%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
<style type="text/css">
  .readClass {
      background:#D4D0C8;
      readonly;
  }
  .selectClass {
      width:70;
  }  
</style>
</head>
<%
    //获取提交的参数
    String moduleName = SzConvert.toZeroStr(request.getParameter("moduleName"));
    String formName = SzConvert.toZeroStr(request.getParameter("formName"));

    String readonly = "";
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));
    if (sOPERATOR.equals("UpdateForm")) {
        readonly = "readonly";
    }
    //读取formInfo
    BdForm bdForm = new BdForm();
    BdFormInfo bdFormInfo = new BdFormInfo();
    if (!moduleName.equals("") && !formName.equals("")) {
        bdFormInfo = (BdFormInfo)bdForm.getFormInfo(moduleName, formName);
    }
%>
<body>

<!-----上面的工具栏------>
<form name="formUpdate" method="post">
  <input type="hidden" name="moduleName" value="<%=moduleName%>">
  <input type="hidden" name="formName"   value="<%=formName%>">  
  <input type="hidden" name="OPERATOR"   value="<%=sOPERATOR%>">

<%@ include file="title.jsp"%>
<table width="100%">
  <tr>
    <td>
      <%=SzPageHelp.saveButton()%>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>

<!-----信息维护------>
<table width="600" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0">
  <tr>
    <td colspan="4" align="center">
      复制的表单：
    </td>
  </tr>
  <tr>
    <td class="tdClassTitle" style="width:200;">模块名称</td>
    <td colspan="3"><%=moduleName %></td>
  </tr> 
  <tr>
    <td class="tdClassTitle" style="width:200;">表单名称</td>
    <td colspan="3"><%=formName%>
    </td>
  </tr>
  <tr>
    <td colspan="4" align="center">
      接收的表单：
    </td>
  </tr>
  <tr>
    <td class="tdClassTitle" style="width:200;">模块名称</td>
    <td colspan="3"><input type="text" name="moduleName2" class="txtClass1" value="<%=moduleName %>"></td>
  </tr> 
  <tr>
    <td class="tdClassTitle" style="width:200;">表单名称（英文）</td>
    <td colspan="3"><input type="text" name="formName2" class="txtClass1" value="">
    <input type="button" class="btnClassShort" value="选择" OnClick="javascript:SelectWin();">
    </td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td colspan="3">
      &nbsp;&nbsp;把界面和字段属性复制到指定的接收表单中<br>复制保存后，接收的表单原来的界面和字段属性将被覆盖！
    </td>
  </tr> 
</table>
</form>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<script language="javascript" src="../../share/js/commonTool.js"></script>
<script language="javascript">
  function SelectWin() {
    var url = "form_select.jsp?moduleNameObject=formUpdate.moduleName2&formNameObject=formUpdate.formName2";
    window.showModalDialog(url,window,"status=no;dialogWidth=300px;dialogHeight=370px");  
  }  

  function FormSave(formName, url) {
    //检查是否可以保存
    if (!notSpace(formName.moduleName2, "模块名称")) {
      return false;
    }      
    if (!notSpace(formName.formName2, "表单英文名称")) {
      return false;
    }
    if (formName.moduleName2.value == formName.moduleName.value 
    	&& formName.formName2.value == formName.formName.value) {
    	alert("接收表单不能是本表单");
    	return;
    }
  	if (confirm("接收的表单原来的界面和字段属性将被覆，是否继续？")) {  	
    	formName.action = "formControl.jsp";
    	formName.submit();
    }
  }
  
</script>
</body>
